Bug 567713 - Review Request: python-empy - A powerful and robust template system for Python
Summary: Review Request: python-empy - A powerful and robust template system for Python
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 549496
TreeView+ depends on / blocked
 
Reported: 2010-02-23 18:09 UTC by Filipe Rosset
Modified: 2010-03-04 18:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 18:18:36 UTC
dan: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Filipe Rosset 2010-02-23 18:09:19 UTC
Spec URL: http://filiperosset.fedorapeople.org/packages/python-empy/python-empy.spec
SRPM URL: http://filiperosset.fedorapeople.org/packages/python-empy/python-empy-3.3-2.fc12.src.rpm
Description: EmPy is a system for embedding Python expressions and statements in template text; it takes an EmPy source file, processes it, and produces output. This is accomplished via expansions, which are special signals to the EmPy system and are set off by a special prefix (by default the at sign, @). EmPy can expand arbitrary Python expressions and statements in this way, as well as a variety of special forms. Textual data not explicitly delimited in this way is sent unaffected to the output, allowing Python to be used in effect as a markup language. Also supported are callbacks via hooks, recording and playback via diversions, and dynamic, chainable filters. The system is highly configurable via command line options and embedded commands. 

INFO: Needed by another package https://bugzilla.redhat.com/show_bug.cgi?id=549496

Comment 1 Dan Horák 2010-02-25 10:30:01 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK      source files match upstream:
            dfc82202231143b9aabc81bd735c6f8a559b5109  empy-latest.tar.gz
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK      license is open source-compatible (GPLv3+). License text included in package.
OK      latest version is being packaged.
BAD     BuildRequires are proper.
N/A     compiler flags are appropriate.
OK      %clean is present.
OK      package builds in mock (Rawhide/x86_64).
N/A     debuginfo package looks complete.
BAD     rpmlint is silent.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      no shared libraries are added to the regular linker search paths.
OK      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      no scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      no headers.
OK      no pkgconfig files.
OK      no libtool .la droppings.
OK      not a GUI app.

- python-devel as BR: is usually not needed when building pure python modules without C code and the set of BRs should as small as possible (https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRequires)
- rpmlint complains
python-empy.noarch: E: wrong-script-interpreter /usr/lib/python2.6/site-packages/em.py /usr/local/bin/python
python-empy.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/em.py 0644 /usr/local/bin/python
    => remove the whole shebang line for example with "sed -i -e '1d' em.py" in %prep section

Comment 2 Filipe Rosset 2010-02-27 16:46:40 UTC
Updated according #comment 1 (Dan Horák thanks for your formal review)

Spec URL:
http://filiperosset.fedorapeople.org/packages/python-empy/python-empy.spec
SRPM URL:
http://filiperosset.fedorapeople.org/packages/python-empy/python-empy-3.3-3.fc12.src.rpm


Changes:
- Remove python-devel in BuildRequires
- Fix shebang on rpmlint

Comment 3 Dan Horák 2010-02-28 11:50:05 UTC
All issues are fixed now, but looks like I did a mistake when checking the license. The correct value for the License tag is LGPLv2+ instead of LGPLv3+, because the license mentioned in source code and docs is "LGPL" and that means any version of LGPL, because no specific version is mentioned. Please fix this before uploading the spec file to CVS.

The package is APPROVED.

Please update now the bakefile package and after a successful finish I will sponsor you in the Fedora account system.

Comment 4 Filipe Rosset 2010-03-02 03:34:36 UTC
Spec URL: http://filiperosset.fedorapeople.org/packages/python-empy/python-empy.spec
SRPM URL: http://filiperosset.fedorapeople.org/packages/python-empy/python-empy-3.3-4.fc12.src.rpm

Changes: License LGPLv3+ to LGPLv2+

I need send this package to CVS now, or after finish bakefile package?

Comment 5 Filipe Rosset 2010-03-02 13:31:04 UTC
New Package CVS Request
=======================
Package Name: python-empy
Short Description: A powerful and robust template system for Python
Owners: filiperosset
Branches: F-11 F-12 EL-5
InitialCC: filiperosset

Comment 6 Jason Tibbitts 2010-03-02 22:52:24 UTC
CVS done (by process-cvs-requests.py).

Added F-13 branch as well.


Note You need to log in before you can comment on or make changes to this bug.